/*
 *  particle.h
 *  emptyExample
 *
 *  Created by Kate Watkins on 10/16/11.
 *  Copyright 2011 Parsons New School of Design. All rights reserved.
 *
 */

#ifndef PARTICLE_H
#define PARTICLE_H

#include "ofMain.h"

class particle
{
public:
	ofVec2f pos;
	ofVec2f vel;
	ofVec2f frc;   // frc is also know as acceleration (newton says "f=ma")
	ofVec2f prevPos;
	
	particle();
	virtual ~particle(){};
	
	void resetForce();
	void addForce(float x, float y);
	void addDampingForce();
	void setInitialCondition(float px, float py, float vx, float vy);
	void update();
	void draw();
	
	void bounceOffWalls();
	
	void	xenoToPoint(float catchX, float catchY);
	

	//ofPoint		prevPos;
	
	float		angle;
	float		catchUpSpeed;		// take this pct of where I want to be, and 1-catchUpSpeed of my pos
	float		damping;
	
protected:
private:
};

#endif // PARTICLE_H
